#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;

int MinNumber(int a[],int n, int x){
    int* b = a;
    sort(a, a+n);
    int k;
    for(k = 0; b[(n)/2] != x; k++){
        b[n++] = x;
        sort(b,b+n);

    }
    return k;

}


int main()
{
    int n,q;
    cin >> n >> q;
    int a[n];
    int b[q];
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    for(int i = 0; i<q;i++){
        cin>>b[i];
    }
    for(int i = 0; i < q; i++){
       cout << MinNumber(a, n, b[i]) << '\n';
    }


    return 0;
}